home/urls.py
from django.urls import path

from . import views

app_name = 'home'

urlpatterns = [
    path('', views.index, name='index'),

]

mulaisyndi/urls.py
from django.contrib import admin
from django.urls import path, include
from story6.views import formkegiatan
from story6.views import formpeserta
from story8.views import dataBuku

urlpatterns = [
    path('admin/', admin.site.urls),
    path('home/', include('home.urls')),
    path('', include('story4.urls')),
    path('kegiatan/',include('story6.urls')),
    path('formkegiatan/', formkegiatan),
    path('formpeserta/<namakegiatan>', formpeserta),
    path('accordion/',include('story7.urls')),
    path('searchbook/',include('story8.urls')),
    path('dataBuku/', dataBuku),
    path('authuser/', include('story9.urls', namespace = 'authuser')),
]

story4/urls.py
from django.contrib import admin
from django.urls import path
from . import views

app_name = 'story4'

urlpatterns = [
    path('', views.homes, name="homes"),
    path('s/', views.s, name="s"),
    path('homes/', views.homes, name="homes"),
    path('skills/', views.skills, name="skills"),
    path('experiences/', views.experiences, name="experiences"),
    path('achievements/', views.achievements, name="achievements"),
    path('matkul/', views.matkul_create, name = "matkul"),
    path('jadwal/', views.jadwalmatkul, name = "jadwal"),
    path('delete/<delete_subject>', views.delete_matkul, name="delete"),
    path('details/<detail_subject>', views.detail, name="details"),
]

story9/urls.py
from django.contrib import admin
from django.urls import path
from . import views

app_name = 'story9'

urlpatterns = [
    path('register/',views.register, name='register'),
    path('login/',views.login_page, name='login'),
    path('logout/', views.logout_page, name = 'logout')
]

home/models.py
from django.db import models

# Create your models here.

story4/models.py
from django.db import models

# Create your models here.
class Matkul(models.Model):
    LIST_TERM=(
        ('2019/2020-1','2019/2020-1'),
        ('2019/2020-2','2019/2020-2'),
        ('2020/2021-3','2020/2021-3'),
        ('2020/2021-4','2020/2021-4'),
        ('2021/2022-5','2021/2022-5'),
        ('2021/2022-6','2021/2022-6'),
        ('2022/2023-7','2022/2023-7'),
        ('2022/2023-8','2022/2023-8')
    )
    term        = models.CharField(
        max_length=120,#max_length = required
        choices=LIST_TERM,
        default='2020/2021-3'
        ) 
    subject     = models.CharField(max_length=120) #max_length = required
    LIST_CREDITS=(
        ('1','1'),
        ('2','2'),
        ('3','3'),
        ('4','4'),
        ('6','6')
    )
    credits    = models.CharField(
        max_length=120,#max_length = required
        choices=LIST_CREDITS,
        default='1'
        ) 
    description = models.TextField(max_length= 500, default ="")
    lecturer    = models.CharField(max_length = 120) #max_length = required
    classroom   = models.CharField(max_length=120) #max_length = required
    featured    = models.BooleanField(default = True)

    def __str__(self):
        return"self.subject"

story4/forms.py
from django import forms
from .models import Matkul
from django.forms import ModelForm

class MatkulForm(forms.ModelForm):
    class Meta :
        model = Matkul
        fields = [
            'term',
            'subject',
            'credits',
            'description',
            'lecturer',
            'classroom',           
        ]

        widgets = {
            'term':forms.Select(attrs={'class':'form-control','placeholder':'Select your term'}),
            'subject':forms.TextInput(attrs={'class':'form-control','placeholder':'Enter your subject'}),
            'credits':forms.Select(attrs={'class':'form-control','placeholder':'Select your credits'}),
            'description':forms.Textarea(attrs={'class':'form-control','placeholder':'Please describe your subject!'}),
            'lecturer':forms.TextInput(attrs={'class':'form-control','placeholder':'Enter your Lecturer'}),
            'classroom':forms.TextInput(attrs={'class':'form-control','placeholder':'Enter your Classroom'})
        }

home/views.py
from django.shortcuts import render

# Create your views here.
def index(request):
    return render(request, 'home/index.html')

story4/views.py
from django.shortcuts import render, redirect
from .forms import MatkulForm
from .models import Matkul

# Create your views here.
def s(request):
    return render(request, 'story4/s.html')

def homes(request):
    return render(request, 'story4/homes.html')

def skills(request):
    return render(request, 'story4/skills.html')

def experiences(request):
    return render(request, 'story4/experiences.html')

def achievements(request):
    return render(request, 'story4/achievements.html')

def matkul_create(request):
    form = MatkulForm(request.POST or None)
    if form.is_valid():
        form.save()
        return redirect('/jadwal')
    context = {
        'form' : form
    }
    return render(request, 'story4/form.html',context)

def jadwalmatkul(request):
    posts = Matkul.objects.all()
    context = {
        'jadwal' : posts
    }
    return render(request, 'story4/jadwalmatkul.html', context)

def delete_matkul(request, delete_subject):
    Matkul.objects.filter(subject=delete_subject).delete()
    return redirect('/jadwal')

def detail(request, detail_subject):
    subjek = Matkul.objects.get(subject=detail_subject)
    context = {
        'subjek' : subjek
    }
    return render(request, 'story4/detail.html', context)

story4/templates/story4/achievements.html
{% extends 'story4/base.html' %}
{% load static %}

{% block content %}
    <title>Syndi's achievements</title>
  
      <h1 id="h11" style = "font-size:8vw">ACHIEVEMENTS</h1>
      </div>

      <div class="awards">
    <p>
      <a class="btn btn-primary" data-toggle="collapse" href="#collapseExample" role="button" aria-expanded="false" aria-controls="collapseExample">
        Second winner of Astronomy olympiad
      </a>
    </p>
    <div class="collapse" id="collapseExample">
      <div class="card card-body">
        (2017) <br> Get the second place of district level Astronomy olympiad at Toba Samosir when I was 11th grade at highschool 
      </div>
    </div>

    <p>
      <a class="btn btn-primary" style="margin-top: 5%;" data-toggle="collapse" href="#collapseExample" role="button" aria-expanded="false" aria-controls="collapseExample">
        Publication of Creation
      </a>
    </p>
    <div class="collapse" id="collapseExample">
      <div class="card card-body">
        (2019) <br> Create a short story when I was 12th grade at highschool and it published in Analisa newspaper. The title is "Terpendam"
      </div>
    </div>
  </div>

{% endblock %}

story4/templates/story4/base.html
{% load static %}
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Optional JavaScript -->
      <!-- jQuery first, then Popper.js, then Bootstrap JS -->
      <script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
      <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
      <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
      <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
      <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
      
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'story4/gaya.css' %}">
    
  </head>
  <body>
    <div class="fixed-top" style="background: rgb(14, 18, 31);">
    <nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color:rgb(69, 76, 95);">
        <a class="fa fa-strikethrough"  href="/s" style="font-size:40px;color: rgb(238, 234, 235);"></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav">
            <li class="nav-item">
              <a class="nav-link" href="/homes" style="margin-left:0px;margin-right:0px;font-size: 20px;color:black">HOME</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="fontNav"href="/skills" style="margin-left:0px;margin-right:0px;font-size: 20px;">Skills</a>
              </li>
            <li class="nav-item">
              <a class="nav-link" href="/experiences" style="margin-left:0px;margin-right:0px;font-size: 20px;">Experiences</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/achievements" style="margin-left:0px;margin-right:0px;font-size: 20px;">Achievements</a>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" style="margin-left:0px;margin-right:0px;font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                List of Courses
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 200px;">
                <a class="dropdown-item" href="/matkul" style="font-size:20px;">Enter a List</a>
                <a class="dropdown-item" href="/jadwal" style="font-size:20px;">See List</a>
              </div>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" style="margin-left:0px;margin-right:0px;font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Story
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 0px;">
                <a class="dropdown-item" href="/kegiatan" style="font-size:20px;">ke-6</a>
                <a class="dropdown-item" href="/accordion" style="font-size:20px;">ke-7</a>
                <a class="dropdown-item" href="/searchbook" style="font-size:20px;">ke-8</a>
              </div>
            </li>
          </ul>
            {% if request.user.is_authenticated %}
            <ul class="nav navbar-nav ml-auto">
            <li class="nav-item dropdown ml-auto" style="float:right;">
              <a class="nav-link dropdown-toggle" style="font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Hi,{{user.username}}!
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 0px;">
                <a class="dropdown-item" href="{% url 'authuser:logout' %}" style="margin-left:0px;margin-right:0px;font-size: 20px;">Logout</a>
              </div>
            </li>
            </ul>
            {% else %}
            <ul class="nav navbar-nav ml-auto">
              <li class="nav-item dropdown ml-auto" style="float:right;">
                <a class="nav-link" href="{% url 'authuser:login' %}" style="margin-left:0px;margin-right:0px;font-size: 20px;">Login</a>
              </li>
            </ul>
            {% endif %}
        </div>
      </nav>

{% block content %}

{% endblock %}

 <!-- Footer -->
 <footer class="page-footer font-small cyan darken-3" style=background-color:aliceblue>
    <div class="container">
      <div class="row">
        <div class="col-md-12 py-1">
          <div class="mb-5 flex-center">
  
            <h4 id="footer">Stay in Touch!</h4>
            <ul id="ulFooter">
                <a href="https://www.facebook.com/profile.php?id=100008075449415"><i class="fa fa-facebook-square" style="font-size:4vw;"></i></a>
                <a href="https://www.instagram.com/invites/contact/?i=1gihyoenfe1pw&utm_content=11hp1fo"><i class="fa fa-instagram" style="font-size:4vw;"></i></a>
                <a href="https://twitter.com/iniakusys?s=06"><i class="fa fa-twitter-square" style="font-size:4vw;"></i></a>
                <a href="https://www.linkedin.com/in/syndi-yohana-5939811a3"><i class="fa fa-linkedin-square" style="font-size:4vw;"></i></a>
              </ul>
          </div>
        </div>
      </div>
    </div>
  </footer>

    </body>
  </html>

story4/templates/story4/detail.html
{% extends 'story4/base.html' %}
{% load static %}

{% block content %}
<title>Syndi's detail course</title>
<h1 id="h11" style = "font-size:9vw">{{subjek.subject}}</h1>
    </div>
<div style="margin-top: 250px;">
  <div class="table-responsive">
    <table class="table table-hover" style="width:90%; margin-left:5%;margin-right:5%;">
        <thead>
        <tr class="table-light" style="text-align: center;">
            <th scope="col">Term</th>
            <th scope="col">Credits (SKS)</th>
            <th scope="col">Description</th>
            <th scope="col">Lecturer</th>
            <th scope="col">Class Room</th>
          </tr>
        </thead>
        <tbody>
          <tr class="table-light" style="text-align: center;">
            <th scope="row">{{subjek.term}}</th>
            <th scope="row">{{subjek.credits}}</th>
            <th scope="row">{{subjek.description}}</th>
            <th scope="row">{{subjek.lecturer}}</th>
            <th scope="row">{{subjek.classroom}}</th>
          </tr>
        </tbody>
      </table>
    </div>
    <a class="btn btn-light" href="/jadwal" style="margin-left:5%;margin-bottom:2%;">BACK</a>
</div>
{% endblock %}
   

story4/templates/story4/experiences.html
{% extends 'story4/base.html' %}
{% load static %}

{% block content %}
    <title>Syndi's experiences</title>

      <h1 id="h11" style = "font-size:8vw">EXPERIENCES</h1>
    </div>
  


      <h2 id="h21">WORKS</h2>
      <div class="card-deck-works" style="max-width: 400px;">
        <div class="card">
          <img src="{% static 'story4/pic/fasilkom.png' %}" class="card-img-top" alt="asdos" height="200" width="100">
          <div class="card-body">
            <h5 class="card-title">Teaching Assistant</h5>
            <p class="card-text">Being teaching assistant of discrete mathemathics 1. Make tasks and provide assistance for students</p>
          </div>
          <div class="card-footer">
            <small class="text-muted">Sep 2020 - present</small>
          </div>
        </div>
      </div>
      
      <h2 id="h22">ORGANIZATIONS</h2>
      
      <div class="card-deck-works" style="max-width: 400px;">
        <div class="card">
          <img src="{% static 'story4/pic/osis.png' %}" class="card-img-top" alt="osis" height="200" width="100">
          <div class="card-body">
            <h5 class="card-title">OSIS SMA UNGGUL DEL</h5>
            <p class="card-text">Was once the spiritual section at OSIS SMA Unggul Del. Responsible for spiritual events, such as Christmas and Easter</p>
          </div>
          <div class="card-footer">
            <small class="text-muted">2017-2018</small>
          </div>
        </div>
      </div>
  
     
      <h2 id="h23">COMMITTEE</h2>
      
      <div class="row row-cols-1 row-cols-md-2" >
        <div class="col mb-4" style="max-width: 320px;">
          <div class="card">
            <img src="{% static 'story4/pic/betis.png' %}" class="card-img-top" alt="betis" height="200" width="100">
            <div class="card-body">
              <h5 class="card-title">BETIS</h5>
              <p class="card-text">As an academic staff and tutor of Physics at BETIS(Bimbingan Belajar Gratis) held by Fasilkom UI. Responsible for made modul and questions, also taught students</p>
            </div>
            <div class="card-footer">
              <small class="text-muted">Feb 2020 - Jul 2020</small>
            </div>
          </div>
        </div>
        <div class="col mb-4" style="max-width: 320px;">
          <div class="card">
            <img src="{% static 'story4/pic/okk.jpg' %}" class="card-img-top" alt="okk" height="200" width="100">
            <div class="card-body">
              <h5 class="card-title">OKK UI</h5>
              <p class="card-text">As an mentor of OKK UI 2020. Responsible for mentoring new students, guide, educate and introduce Universitas Indonesia</p>
            </div>
            <div class="card-footer">
              <small class="text-muted">Jul 2020 - Sep 2020</small>
            </div>
          </div>
        </div>
      </div>

{% endblock %}

story4/templates/story4/form.html
{% extends 'story4/base.html' %}
{% load static %}

{% block content %}
<title>Fill the courses</title>
<h1 id="h11" style = "font-size:9vw">Fill courses</h1>
    </div>

<form method='POST' style="margin-top: 250px"> {% csrf_token %}
    <div class="form-group" style="margin-top: 250px; margin-right:25%;margin-left:25%;color:white;">
        {{form.as_table}}
    </div>
        <input type = 'submit' value='SAVE' style="margin-top: 20px; margin-bottom:20px; margin-left:25%;margin-right:25%"/>
  </form>

{% endblock %}

story4/templates/story4/homes.html
<!DOCTYPE html>
<html lang="en">
  {% load static %}
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'story4/gaya.css' %}">
    
    <title>HOME</title>
  </head>
  <body>
    <div class="fixed-top" style="background: rgb(14, 18, 31);">
      <nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color:rgb(69, 76, 95);">
        <a class="fa fa-strikethrough"  href="/s" style="font-size:40px;color: rgb(238, 234, 235);"></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav">
            <li class="nav-item">
              <a class="nav-link" href="/homes" style="margin-left:0px;margin-right:0px;font-size: 20px;color:black">HOME</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="fontNav"href="/skills" style="margin-left:0px;margin-right:0px;font-size: 20px;">Skills</a>
              </li>
            <li class="nav-item">
              <a class="nav-link" href="/experiences" style="margin-left:0px;margin-right:0px;font-size: 20px;">Experiences</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/achievements" style="margin-left:0px;margin-right:0px;font-size: 20px;">Achievements</a>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" style="margin-left:0px;margin-right:0px;font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                List of Courses
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 200px;">
                <a class="dropdown-item" href="/matkul" style="font-size:20px;">Enter a List</a>
                <a class="dropdown-item" href="/jadwal" style="font-size:20px;">See List</a>
              </div>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle" style="margin-left:0px;margin-right:0px;font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Story
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 0px;">
                <a class="dropdown-item" href="/kegiatan" style="font-size:20px;">ke-6</a>
                <a class="dropdown-item" href="/accordion" style="font-size:20px;">ke-7</a>
                <a class="dropdown-item" href="/searchbook" style="font-size:20px;">ke-8</a>
              </div>
            </li>
          </ul>
          {% if request.user.is_authenticated %}
            <ul class="nav navbar-nav ml-auto">
            <li class="nav-item dropdown ml-auto" style="float:right;">
              <a class="nav-link dropdown-toggle" style="font-size: 20px;" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Hi,{{user.username}}!
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" style="width : 0px;">
                <a class="dropdown-item" href="{% url 'authuser:logout' %}" style="margin-left:0px;margin-right:0px;font-size: 20px;">Logout</a>
              </div>
            </li>
            </ul>
            {% else %}
            <ul class="nav navbar-nav ml-auto">
              <li class="nav-item dropdown ml-auto" style="float:right;">
                <a class="nav-link" href="{% url 'authuser:login' %}" style="margin-left:0px;margin-right:0px;font-size: 20px;">Login</a>
              </li>
            </ul>
            {% endif %}
        </div>
      </nav>
    </div>
    
  
      <div class = "nol">
        <h1><img class="satu img-responsive" src="{% static 'story4/pic/yoyo.jpg' %}" alt="syndi" width="40%" height="250"/> Hello!<br> Welcome to my Website </h1>
        <h2>I am Syndi Yohana</h2>
        <hr size="5px" style = "color : rgb(253, 253, 253);" margin-top = "10px">

          <div class="satu">
            <h3>About Me</h3>
            <p id = "p1">Hi all! I am Syndi. First, I would thank you for your coming to my website.<br>
            I make this to clear my task of Web Design and Programming course.<br>
            My id is 1906353656, batch of Maung from Faculty of Computer Science, Universitas Indonesia.<br>
            My hobby is watching dramas or films.<br>I hope you're waiting for my next content in this website.<br>
            Have a nice day!</p>
        </div>

        <h4 class="satu">Get in Touch!</h4>
        <ul id="ul2">
            <a href="https://www.facebook.com/profile.php?id=100008075449415"><i class="fa fa-facebook-square" style="font-size:4vw;color: rgb(238, 234, 235);;"></i></a>
            <a href="https://www.instagram.com/invites/contact/?i=1gihyoenfe1pw&utm_content=11hp1fo"><i class="fa fa-instagram" style="font-size:4vw;color: rgb(238, 234, 235);"></i></a><br><br>
            <a href="https://twitter.com/iniakusys?s=06"><i class="fa fa-twitter-square" style="font-size:4vw;color: rgb(238, 234, 235);"></i></a>
            <a href="https://www.linkedin.com/in/syndi-yohana-5939811a3"><i class="fa fa-linkedin-square" style="font-size:4vw;color: rgb(238, 234, 235);"></i></a>
          </ul>
    </div>
    
    
    
<div class= "satudua">
  <div class="dua">
      <h4>Full Name</h4>
          <p id ="p2">Syndi Yohana Sitorus</p>
      <h4>ID</h4>
          <p id ="p2">1906353656</p>
      <h4>College</h4>
          <p id ="p2">Faculty of Computer Science. Universitas Indonesia</p>
      <h4>Education</h4>
      <ul>
          <li>Bonapasogit Elementary School</li>
          <li>Bonapasogit Junior High School</li>
          <li>Del Senior High School</li>
          <li>Universitas Indonesia</li>
        </ul> 
      <h4>Contact</h4>
          <p id ="p2">0898403839922<br>syndi.yohana@ui.ac.id</p>
  </div>
  </div>


    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
  </body>
</html>

story4/templates/story4/jadwalmatkul.html
{% extends 'story4/base.html' %}
{% load static %}

{% block content %}
<title>Syndi's courses</title>
<h1 id="h11" style = "font-size:9vw">My Courses</h1>
    </div>
<div style="margin-top: 250px;">
  <div class="table-responsive">
    <table class="table table-hover" style="width:60%; margin-left:20%;">
        <thead>
        <tr class="table-light" style="text-align: center;">
            <th scope="col">Subject</th>
            <th scope="col" colspan="2">Action</th>
          </tr>
        </thead>
        <tbody>
            {% for Matkul in jadwal %}
          <tr class="table-light" style="text-align: center;">
            <th scope="row">{{Matkul.subject}}</th>
            <th scope="row"><a class="btn btn-info" href="/details/{{Matkul.subject}}">View detail</a></th>
            <th scope="row"><a class="btn btn-danger" href="/delete/{{Matkul.subject}}">Delete</a></th>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
    <a class="btn btn-light" href="/matkul" style="margin-left:20%;margin-bottom:2%;">ADD</a>
</div>
{% endblock %}
   